=head1 NAME

botch-find-fvs - calculate a feedback vertex set

=head1 SYNOPSIS

=over

=item B<botch-find-fvs> [options] I<buildgrahp.xml> I<Packages> I<Sources>

=back

=head1 DESCRIPTION

Given a buildgraph find a set of source packages which, if profile build, make
the graph acyclic

=head1 OPTIONS

=over 4

=item B<--version>

show program's version and exit

=item B<-h, --help>

show this help message and exit

=item B<-v, --verbose>

print additional information

=item B<--quiet>

do no print any messages

=item B<--keep-indep>

Do not drop Build-Depends-Indep dependencies

=item B<--max-length-fvs=>I<INT>

maximum length of found cycles for fvs search (default=4)

=item B<--remove-weak=>I<FILE>

path to list of weak build dependencies

=item B<--remove-reduced=>I<LIST>

remove droppable build dependencies supplied by comma separated list of reduced
dep files

=item B<--fg=>I<PKGS>

Additional Packages lists that are checked and used for resolving dependencies
(can be repeated)

=item B<--bg=>I<PKGS>

Additional Packages lists that are NOT checked but used for resolving
dependencies (can be repeated)

=item B<--deb-native-arch=>I<ARCH>

Native architecture I<ARCH>

=item B<--deb-host-arch=>I<arch>

Host architecture I<arch>. Defaults to native architecture.

=item B<--deb-foreign-archs=>I<archs>

Comma-separated foreign architectures in addition to native and host
architectures.

=back

=head1 EXAMPLE

Extract a feedback vertex set:

 botch-find-fvs --remove-weak=/usr/share/botch/droppable/weak-build-dependencies.list \
    --remove-reduced=/usr/share/botch/droppable/gentoo.list,/usr/share/botch/droppable/selfcycles.list \
    --deb-native-arch=amd64 scc.xml packages sources

=head1 BUGS

See L<http://bugs.debian.org/botch>.

=head1 SEE ALSO

Debian doc-base Manual F</usr/share/doc/botch/wiki/Home.html>

=head1 AUTHOR

This man page was written by Johannes Schauer. Botch is written by Johannes
Schauer and Pietro Abate.

=head1 COPYRIGHT

Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version. A special linking exception to the GNU Lesser General Public
License applies to this library, see the COPYING file for more information.

